<?php

/**
 * Returns an array of visibility options for featured sections
 *
 * @since Portfolio Icon 0.2
 */
function portfolioicon_section_visibility_options() {
    $options = array(
        'homepage'    => esc_html__( 'Homepage / Frontpage', 'portfolio-icon' ),
        'entire-site' => esc_html__( 'Entire Site', 'portfolio-icon' ),
        'disabled'    => esc_html__( 'Disabled', 'portfolio-icon' ),
    );

    return apply_filters( 'portfolioicon_section_visibility_options', $options );
}

/**
 * Returns an array of section types
 *
 * @since Portfolio Icon 0.2
 */
function portfolioicon_section_type_options() {
    $options = array(
        'demo'     => esc_html__( 'Demo', 'portfolio-icon' ),
        'page'     => esc_html__( 'Page', 'portfolio-icon' ),
    );

    return apply_filters( 'portfolioicon_section_type_options', $options );
}

/**
 * Returns an array of color schemes registered for catchresponsive.
 *
 * @since Portfolio Icon 0.2
 */
function portfolioicon_get_pagination_types() {
    $pagination_types = array(
        'default'                => esc_html__( 'Default(Older Posts/Newer Posts)', 'portfolio-icon' ),
        'numeric'                => esc_html__( 'Numeric', 'portfolio-icon' ),
        'infinite-scroll-click'  => esc_html__( 'Infinite Scroll (Click)', 'portfolio-icon' ),
        'infinite-scroll-scroll' => esc_html__( 'Infinite Scroll (Scroll)', 'portfolio-icon' ),
    );

    return apply_filters( 'portfolioicon_get_pagination_types', $pagination_types );
}